Extending Qt Creator Manual | Location

Extending Qt Creator Manual 4.7.1

# Location Class

(Debugger::Debugger::Internal::Location)

- List of all members, including inherited members

## Public Functions

| Location()
| Location(int address)
| Location(const int &file)
| Location(const int &file, int line, bool marker = true)
| Location(const Debugger::Debugger::Internal::StackFrame &frame, bool marker = true)
int | address() const
bool | canBeDisassembled() const
int | fileName() const
int | from() const
int | functionName() const
bool | hasDebugInfo() const
int | lineNumber() const
bool | needsMarker() const
bool | needsRaise() const
void | setFileName(const int &fileName)
void | setNeedsMarker(bool on)
void | setNeedsRaise(bool on)
void | setUseAssembler(bool on)

## Member Function Documentation

### Location::Location()

Default constructs an instance of Location.

### Location::Location(int address)

Default constructs an instance of Location.

### Location::Location(const int &file)

Default constructs an instance of Location.

### Location::Location(const int &file, int line, bool marker = true)

Default constructs an instance of Location.

### Location::Location(const Debugger::Debugger::Internal::StackFrame &frame, bool marker = true)

Default constructs an instance of Location.

### int Location::address() const

### bool Location::canBeDisassembled() const

### int Location::fileName() const

See also setFileName().

### int Location::from() const

### int Location::functionName() const

### bool Location::hasDebugInfo() const

### int Location::lineNumber() const

### bool Location::needsMarker() const

See also setNeedsMarker().

### bool Location::needsRaise() const

See also setNeedsRaise().

### void Location::setFileName(const int &fileName)

See also fileName().

### void Location::setNeedsMarker(bool on)

See also needsMarker().

### void Location::setNeedsRaise(bool on)

See also needsRaise().

### void Location::setUseAssembler(bool on)